unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, ExtCtrls,
  StdCtrls, Buttons, lclintf;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    Image1: TImage;
    Image2: TImage;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Image2MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.FormCreate(Sender: TObject);
var
  i:integer;
begin
  Caption:='Bitte auf das Bild klicken!';
  DoubleBuffered := true;

  Image1.Picture.LoadFromFile('Bild1.jpg');

  Image2.Canvas.Brush.Color:=$FF0000;                       //Hintergrundfarbe, die Transparent erscheinen soll
  Image2.Canvas.FillRect(0,0,Image2.Width,Image2.Height);   //mit transparenter Farbe Hintergrund füllen
  Image2.Picture.Bitmap.TransparentColor:=$FF0000;          //setzen der transparenten Farbe
  Image2.Picture.Bitmap.TransparentMode:=tmFixed;           //Modus
  Image2.Transparent:=true;                                 //transparent stellen
end;

procedure TForm1.Image2MouseDown(Sender: TObject; Button: TMouseButton;    //Zeichnet ein zufällig großes Rechteck
  Shift: TShiftState; X, Y: Integer);
var
  Stream:TMemoryStream;
  i:integer;
begin
  Image2.Canvas.Brush.Color:=random($FFFFFF+1);
  Image2.Canvas.Pen.Color:=0;
  i:=random(50);
  Image2.Canvas.Ellipse(x-i,y-i,x+i,y+i);

//  Image2.Picture.SaveToFile('Image2.bmp','bmp');
//  Image2.Picture.LoadFromFile('Image2.bmp');

  Stream:=TMemoryStream.Create;                             //Weiss jetzt gerade keinen anderen Weg Canvas aufs Bitmap zu vereinigen???
  Image2.Picture.SaveToStream(Stream);
  Stream.Position:=0;
  Image2.Picture.LoadFromStream(Stream);
  Stream.Free;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  Image2.Transparent:=not Image2.Transparent;               //Zeigt Transparenz an/aus
end;

end.

